MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029968Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-07-18 00:502018-07-21 20:02
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029968: Modeling Algorithms - BRepAlgoAPI_Cut produces an empty result with half-space
DescriptionBoolean CUT produces an empty compound when executed on attached shapes (normal face and half-space created by BRepPrimAPI_MakeHalfSpace).

This is a REGRESSION since OCCT 6.6.0.
Steps To Reproduce
pload ALL
axo
restore s.brep s
fit
restore h.brep h
bsection ss s h
# OK - section is created
bcut cc s h
nbshapes cc
# KO - result is an empty compound
TagsNo tags attached.
Test case numberbugs/modalg_7/bug29968
Attached Files? file icon s.brep (925 bytes) 2018-07-18 00:50
? file icon h.brep (320 bytes) 2018-07-18 00:50
png file icon bcut654_OK.png (13,557 bytes) 2018-07-18 00:53
png file icon bcut_KO.png (14,680 bytes) 2018-07-18 00:54

- Relationships

-  Notes
(0077772)
kgv (developer)
2018-07-18 11:19

It seems that problem occurs only when Face within half-space shape has no NaturalRestriction flag set.
(0077786)
git (administrator)
2018-07-18 15:33

Branch CR29968 has been created by emv.

SHA-1: a057e360ad25fb2dcd6d889ae0dc5bed3b83169a


Detailed log of new commits:

Author: emv
Date: Wed Jul 18 15:31:52 2018 +0300

    0029968: Modeling Algorithms - BRepAlgoAPI_Cut produces an empty result with half-space
    
    IntTools_Context::IsInfiniteFace() - Make the conclusion about infinity of the face basing on its bounding box only. No need to check NaturalRestriction flag.
    Test case for the issue.
(0077797)
emv (developer)
2018-07-19 07:11

Dear Mikhail, could you please review the git branch CR29968? Test results - http://jenkins-test-11.nnov.opencascade.com:8080/view/CR29968-master-emv/view/COMPARE/. [^]
(0077817)
msv (developer)
2018-07-19 13:55

Reviewed.
(0077832)
bugmaster (administrator)
2018-07-19 17:31

Combination -
OCCT branch : CR29968 SHA - a057e360ad25fb2dcd6d889ae0dc5bed3b83169a
Products branch : master SHA - edc03a9d94e87d0141f8dbfdc1c42f755e9765d9
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17354.840000000066 / 17080.800000000007 [+1.60%]
Products
Total CPU difference: 7487.570000000033 / 7461.820000000036 [+0.35%]
Windows-64-VC10:
OCCT
Total CPU difference: 16933.050544498587 / 16984.608874998572 [-0.30%]
Products
Total CPU difference: 8252.530900499902 / 8248.209672799876 [+0.05%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0077879)
git (administrator)
2018-07-21 20:02

Branch CR29968 has been deleted by inv.

SHA-1: a057e360ad25fb2dcd6d889ae0dc5bed3b83169a

- Related Changesets
occt: master ae276302
Timestamp: 2018-07-18 12:31:52
Author: emv
Committer: bugmaster
Details ] Diff ]
0029968: Modeling Algorithms - BRepAlgoAPI_Cut produces an empty result with half-space

IntTools_Context::IsInfiniteFace() - Make the conclusion about infinity of the face basing on its bounding box only. No need to check NaturalRestriction flag.
mod - src/IntTools/IntTools_Context.cxx Diff ] File ]
add - tests/bugs/modalg_7/bug29968 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-18 00:50 kgv New Issue
2018-07-18 00:50 kgv Assigned To => msv
2018-07-18 00:50 kgv File Added: s.brep
2018-07-18 00:50 kgv File Added: h.brep
2018-07-18 00:53 kgv File Added: bcut654_OK.png
2018-07-18 00:54 kgv File Added: bcut_KO.png
2018-07-18 09:21 msv Assigned To msv => emv
2018-07-18 09:21 msv Status new => assigned
2018-07-18 11:19 kgv Note Added: 0077772
2018-07-18 15:33 git Note Added: 0077786
2018-07-19 07:11 emv Note Added: 0077797
2018-07-19 07:11 emv Assigned To emv => msv
2018-07-19 07:11 emv Status assigned => resolved
2018-07-19 13:55 msv Note Added: 0077817
2018-07-19 13:55 msv Assigned To msv => bugmaster
2018-07-19 13:55 msv Status resolved => reviewed
2018-07-19 17:31 bugmaster Note Added: 0077832
2018-07-19 17:31 bugmaster Status reviewed => tested
2018-07-19 17:32 bugmaster Test case number => bugs/modalg_7/bug29968
2018-07-21 18:39 bugmaster Changeset attached => occt master ae276302
2018-07-21 18:39 bugmaster Status tested => verified
2018-07-21 18:39 bugmaster Resolution open => fixed
2018-07-21 20:02 git Note Added: 0077879


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker